com.microfocus.awm.meta.interfaces

## Enum EIcons

- java.lang.Object
- - java.lang.Enum<EIcons>
  - - com.microfocus.awm.meta.interfaces.EIcons

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EIcons>, org.eclipse.emf.common.util.Enumerator

      public enum EIcons
      extends java.lang.Enum<EIcons>
      implements org.eclipse.emf.common.util.Enumerator

  Enumeration class for the predefined icons.
  See Also:
    `TaurusPackage.getEIcons()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTION_BROWSE` The 'Action Browse' literal object.
    `ACTION_BUILD` The 'Action Build' literal object.
    `ACTION_CHECK_IN` The 'Action Check In' literal object.
    `ACTION_CHECK_OUT` The 'Action Check Out' literal object.
    `ACTION_DRAW_DOWN` The 'Action Draw Down' literal object.
    `ACTION_EDIT` The 'Action Edit' literal object.
    `ACTION_INSERT` The 'Action Insert' literal object.
    `ACTION_PROMOTE` The 'Action Promote' literal object.
    `ACTION_REMOVE` The 'Action Remove' literal object.
    `ACTION_SHOW_HISTORY` The 'Action Show History' literal object.
    `APPLICATION` The 'Application' literal object.
    `CONTAINER_GROUP` The 'Container Group' literal object.
    `CONTAINER_PROJECT` The 'Container Project' literal object.
    `DATABASE` The 'Database' literal object.
    `ELEMENT_EDITABLE` The 'Element Editable' literal object.
    `ELEMENT_LOCK_ENTRY` The 'Element Lock Entry' literal object.
    `ELEMENT_NON_EDITABLE` The 'Element Non Editable' literal object.
    `ELEMENT_PACKAGE` The 'Element Package' literal object.
    `ELEMENT_VERSION_ENTRY` The 'Element Version Entry' literal object.
    `JOB_RUNNING` The 'Job Running' literal object.
    `LIBRARY` The 'Library' literal object.
    `PACKAGE_FOLDER` The 'Package Folder' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACTION_BROWSE_VALUE` The 'Action Browse' literal value.
    `static int` | `ACTION_BUILD_VALUE` The 'Action Build' literal value.
    `static int` | `ACTION_CHECK_IN_VALUE` The 'Action Check In' literal value.
    `static int` | `ACTION_CHECK_OUT_VALUE` The 'Action Check Out' literal value.
    `static int` | `ACTION_DRAW_DOWN_VALUE` The 'Action Draw Down' literal value.
    `static int` | `ACTION_EDIT_VALUE` The 'Action Edit' literal value.
    `static int` | `ACTION_INSERT_VALUE` The 'Action Insert' literal value.
    `static int` | `ACTION_PROMOTE_VALUE` The 'Action Promote' literal value.
    `static int` | `ACTION_REMOVE_VALUE` The 'Action Remove' literal value.
    `static int` | `ACTION_SHOW_HISTORY_VALUE` The 'Action Show History' literal value.
    `static int` | `APPLICATION_VALUE` The 'Application' literal value.
    `static int` | `CONTAINER_GROUP_VALUE` The 'Container Group' literal value.
    `static int` | `CONTAINER_PROJECT_VALUE` The 'Container Project' literal value.
    `static int` | `DATABASE_VALUE` The 'Database' literal value.
    `static int` | `ELEMENT_EDITABLE_VALUE` The 'Element Editable' literal value.
    `static int` | `ELEMENT_LOCK_ENTRY_VALUE` The 'Element Lock Entry' literal value.
    `static int` | `ELEMENT_NON_EDITABLE_VALUE` The 'Element Non Editable' literal value.
    `static int` | `ELEMENT_PACKAGE_VALUE` The 'Element Package' literal value.
    `static int` | `ELEMENT_VERSION_ENTRY_VALUE` The 'Element Version Entry' literal value.
    `static int` | `JOB_RUNNING_VALUE` The 'Job Running' literal value.
    `static int` | `LIBRARY_VALUE` The 'Library' literal value.
    `static int` | `PACKAGE_FOLDER_VALUE` The 'Package Folder' literal value.
    `static java.util.List<EIcons>` | `VALUES` A public read-only list of all the 'EIcons' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EIcons` | `get(int value)` Returns the 'EIcons' literal with the specified integer value.
    `static EIcons` | `get(java.lang.String literal)` Returns the 'EIcons' literal with the specified literal value.
    `static EIcons` | `getByName(java.lang.String name)` Returns the 'EIcons' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static EIcons` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EIcons[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTION_BROWSE

          public static final EIcons ACTION_BROWSE

      The 'Action Browse' literal object.
      See Also:
        `ACTION_BROWSE_VALUE`

    - #### ACTION_BUILD

          public static final EIcons ACTION_BUILD

      The 'Action Build' literal object.
      See Also:
        `ACTION_BUILD_VALUE`

    - #### ACTION_CHECK_IN

          public static final EIcons ACTION_CHECK_IN

      The 'Action Check In' literal object.
      See Also:
        `ACTION_CHECK_IN_VALUE`

    - #### ACTION_CHECK_OUT

          public static final EIcons ACTION_CHECK_OUT

      The 'Action Check Out' literal object.
      See Also:
        `ACTION_CHECK_OUT_VALUE`

    - #### ACTION_DRAW_DOWN

          public static final EIcons ACTION_DRAW_DOWN

      The 'Action Draw Down' literal object.
      See Also:
        `ACTION_DRAW_DOWN_VALUE`

    - #### ACTION_EDIT

          public static final EIcons ACTION_EDIT

      The 'Action Edit' literal object.
      See Also:
        `ACTION_EDIT_VALUE`

    - #### ACTION_REMOVE

          public static final EIcons ACTION_REMOVE

      The 'Action Remove' literal object.
      See Also:
        `ACTION_REMOVE_VALUE`

    - #### ACTION_PROMOTE

          public static final EIcons ACTION_PROMOTE

      The 'Action Promote' literal object.
      See Also:
        `ACTION_PROMOTE_VALUE`

    - #### ACTION_INSERT

          public static final EIcons ACTION_INSERT

      The 'Action Insert' literal object.
      See Also:
        `ACTION_INSERT_VALUE`

    - #### ACTION_SHOW_HISTORY

          public static final EIcons ACTION_SHOW_HISTORY

      The 'Action Show History' literal object.
      See Also:
        `ACTION_SHOW_HISTORY_VALUE`

    - #### CONTAINER_GROUP

          public static final EIcons CONTAINER_GROUP

      The 'Container Group' literal object.
      See Also:
        `CONTAINER_GROUP_VALUE`

    - #### CONTAINER_PROJECT

          public static final EIcons CONTAINER_PROJECT

      The 'Container Project' literal object.
      See Also:
        `CONTAINER_PROJECT_VALUE`

    - #### ELEMENT_EDITABLE

          public static final EIcons ELEMENT_EDITABLE

      The 'Element Editable' literal object.
      See Also:
        `ELEMENT_EDITABLE_VALUE`

    - #### ELEMENT_NON_EDITABLE

          public static final EIcons ELEMENT_NON_EDITABLE

      The 'Element Non Editable' literal object.
      See Also:
        `ELEMENT_NON_EDITABLE_VALUE`

    - #### ELEMENT_VERSION_ENTRY

          public static final EIcons ELEMENT_VERSION_ENTRY

      The 'Element Version Entry' literal object.
      See Also:
        `ELEMENT_VERSION_ENTRY_VALUE`

    - #### ELEMENT_LOCK_ENTRY

          public static final EIcons ELEMENT_LOCK_ENTRY

      The 'Element Lock Entry' literal object.
      See Also:
        `ELEMENT_LOCK_ENTRY_VALUE`

    - #### ELEMENT_PACKAGE

          public static final EIcons ELEMENT_PACKAGE

      The 'Element Package' literal object.
      See Also:
        `ELEMENT_PACKAGE_VALUE`

    - #### APPLICATION

          public static final EIcons APPLICATION

      The 'Application' literal object.
      See Also:
        `APPLICATION_VALUE`

    - #### DATABASE

          public static final EIcons DATABASE

      The 'Database' literal object.
      See Also:
        `DATABASE_VALUE`

    - #### JOB_RUNNING

          public static final EIcons JOB_RUNNING

      The 'Job Running' literal object.
      See Also:
        `JOB_RUNNING_VALUE`

    - #### LIBRARY

          public static final EIcons LIBRARY

      The 'Library' literal object.
      See Also:
        `LIBRARY_VALUE`

    - #### PACKAGE_FOLDER

          public static final EIcons PACKAGE_FOLDER

      The 'Package Folder' literal object.
      See Also:
        `PACKAGE_FOLDER_VALUE`

  - ### Field Detail

    - #### ACTION_BROWSE_VALUE

          public static final int ACTION_BROWSE_VALUE

      The 'Action Browse' literal value.
      See Also:
        `ACTION_BROWSE`, Constant Field Values

    - #### ACTION_BUILD_VALUE

          public static final int ACTION_BUILD_VALUE

      The 'Action Build' literal value.
      See Also:
        `ACTION_BUILD`, Constant Field Values

    - #### ACTION_CHECK_IN_VALUE

          public static final int ACTION_CHECK_IN_VALUE

      The 'Action Check In' literal value.
      See Also:
        `ACTION_CHECK_IN`, Constant Field Values

    - #### ACTION_CHECK_OUT_VALUE

          public static final int ACTION_CHECK_OUT_VALUE

      The 'Action Check Out' literal value.
      See Also:
        `ACTION_CHECK_OUT`, Constant Field Values

    - #### ACTION_DRAW_DOWN_VALUE

          public static final int ACTION_DRAW_DOWN_VALUE

      The 'Action Draw Down' literal value.
      See Also:
        `ACTION_DRAW_DOWN`, Constant Field Values

    - #### ACTION_EDIT_VALUE

          public static final int ACTION_EDIT_VALUE

      The 'Action Edit' literal value.
      See Also:
        `ACTION_EDIT`, Constant Field Values

    - #### ACTION_REMOVE_VALUE

          public static final int ACTION_REMOVE_VALUE

      The 'Action Remove' literal value.
      See Also:
        `ACTION_REMOVE`, Constant Field Values

    - #### ACTION_PROMOTE_VALUE

          public static final int ACTION_PROMOTE_VALUE

      The 'Action Promote' literal value.
      See Also:
        `ACTION_PROMOTE`, Constant Field Values

    - #### ACTION_INSERT_VALUE

          public static final int ACTION_INSERT_VALUE

      The 'Action Insert' literal value.
      See Also:
        `ACTION_INSERT`, Constant Field Values

    - #### ACTION_SHOW_HISTORY_VALUE

          public static final int ACTION_SHOW_HISTORY_VALUE

      The 'Action Show History' literal value.
      See Also:
        `ACTION_SHOW_HISTORY`, Constant Field Values

    - #### CONTAINER_GROUP_VALUE

          public static final int CONTAINER_GROUP_VALUE

      The 'Container Group' literal value.
      See Also:
        `CONTAINER_GROUP`, Constant Field Values

    - #### CONTAINER_PROJECT_VALUE

          public static final int CONTAINER_PROJECT_VALUE

      The 'Container Project' literal value.
      See Also:
        `CONTAINER_PROJECT`, Constant Field Values

    - #### ELEMENT_EDITABLE_VALUE

          public static final int ELEMENT_EDITABLE_VALUE

      The 'Element Editable' literal value.
      See Also:
        `ELEMENT_EDITABLE`, Constant Field Values

    - #### ELEMENT_NON_EDITABLE_VALUE

          public static final int ELEMENT_NON_EDITABLE_VALUE

      The 'Element Non Editable' literal value.
      See Also:
        `ELEMENT_NON_EDITABLE`, Constant Field Values

    - #### ELEMENT_VERSION_ENTRY_VALUE

          public static final int ELEMENT_VERSION_ENTRY_VALUE

      The 'Element Version Entry' literal value.
      See Also:
        `ELEMENT_VERSION_ENTRY`, Constant Field Values

    - #### ELEMENT_LOCK_ENTRY_VALUE

          public static final int ELEMENT_LOCK_ENTRY_VALUE

      The 'Element Lock Entry' literal value.
      See Also:
        `ELEMENT_LOCK_ENTRY`, Constant Field Values

    - #### ELEMENT_PACKAGE_VALUE

          public static final int ELEMENT_PACKAGE_VALUE

      The 'Element Package' literal value.
      See Also:
        `ELEMENT_PACKAGE`, Constant Field Values

    - #### APPLICATION_VALUE

          public static final int APPLICATION_VALUE

      The 'Application' literal value.
      See Also:
        `APPLICATION`, Constant Field Values

    - #### DATABASE_VALUE

          public static final int DATABASE_VALUE

      The 'Database' literal value.
      See Also:
        `DATABASE`, Constant Field Values

    - #### JOB_RUNNING_VALUE

          public static final int JOB_RUNNING_VALUE

      The 'Job Running' literal value.
      See Also:
        `JOB_RUNNING`, Constant Field Values

    - #### LIBRARY_VALUE

          public static final int LIBRARY_VALUE

      The 'Library' literal value.
      See Also:
        `LIBRARY`, Constant Field Values

    - #### PACKAGE_FOLDER_VALUE

          public static final int PACKAGE_FOLDER_VALUE

      The 'Package Folder' literal value.
      See Also:
        `PACKAGE_FOLDER`, Constant Field Values

    - #### VALUES

          public static final java.util.List<EIcons> VALUES

      A public read-only list of all the 'EIcons' enumerators.

  - ### Method Detail

    - #### values

          public static EIcons[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EIcons c : EIcons.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EIcons valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static EIcons get(java.lang.String literal)

      Returns the 'EIcons' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static EIcons getByName(java.lang.String name)

      Returns the 'EIcons' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static EIcons get(int value)

      Returns the 'EIcons' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<EIcons>`

Copyright © 2015 Micro Focus GmbH. All rights reserved.